## ros-one-mocap-optitrack 0.1.4-1jammy.20251023.0903

=== debian/changelog ===
ros-one-mocap-optitrack (0.1.4-1jammy.20251023.0903) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tony Baltovski <tony@baltovski.ca>  Thu, 23 Oct 2025 09:03:41 +0000

ros-one-mocap-optitrack (0.1.4-0jammy) jammy; urgency=high

  * initialize the  dynamic server in the initializer list
  * white space
  * unnecessary changes
  * fix: params namespace
  * Contributors: Jad

 -- Tony Baltovski <tony@baltovski.ca>  Tue, 18 Jan 2022 00:00:00 -0000

ros-one-mocap-optitrack (0.1.3-0jammy) jammy; urgency=high

  * Add sleep function to avoid the high load of while() function
  * Contributors: Moju Zhao

 -- Tony Baltovski <tony@baltovski.ca>  Tue, 18 May 2021 00:00:00 -0000

ros-one-mocap-optitrack (0.1.2-0jammy) jammy; urgency=high

  * Fix/infinit fast reconnect loop (#58 <https://github.com/ros-drivers/mocap_optitrack/issues/58>)
    * fix: infinit fast loop
    * fix: infinit-reconnect-loop
    * fix: lint
    * fix: styling
    Co-authored-by: jad <mailto:jad.hajmustafa@eurogroep.com>
  * Contributors: Jad Haj Mustafa

 -- Tony Baltovski <tony@baltovski.ca>  Wed, 24 Mar 2021 00:00:00 -0000

ros-one-mocap-optitrack (0.1.1-0jammy) jammy; urgency=high

  * Fix/coordinate system motive 2.0 (#56 <https://github.com/ros-drivers/mocap_optitrack/issues/56>)
    * fix: coordinate system for motive 2.0+
    * typo
    * fix: coordiante system for versions > motive 2.0
    Co-authored-by: jad <mailto:jad.hajmustafa@eurogroep.com>
  * Feat: add enable disable tf publisher param (#55 <https://github.com/ros-drivers/mocap_optitrack/issues/55>)
    * feat: enable tf publisher param
    * fix: default value of enable_tf_publisher
    * feat: add-enable-disable param for tf publisher
    * feat: add tf topic to enable/disable tf publisher
    * remove unnecessary changes
    * fix: lint
    Co-authored-by: jad <mailto:jad.hajmustafa@eurogroep.com>
  * Added Noetic to CI.
  * Contributors: Tony Baltovski, jadhm

 -- Tony Baltovski <tony@baltovski.ca>  Mon, 08 Mar 2021 00:00:00 -0000

ros-one-mocap-optitrack (0.1.0-0jammy) jammy; urgency=high

  * Reset package version.
  * Bumped CMake version to avoid author warning.
  * Added nav_msgs as dep.
  * Added industrial_ci.
  * Applied roslint fixes.
  * Made roslaunch test_depend and added roslint.
  * fix: spacing
  * chore: support new motive versions for odom publisher
  * fix: coordinatesVersion as const reference
  * fix: system coordinates with new motive versions
  * feat: dynamic reconfigure server parameters and enable optitrack parameter
  * feat: add odom topic publisher
  * Natnet and server version can now be set in config file
    Added a way to set both natnet and server version from yaml file, so you don't have to restart the broadcast each time you launch the mocap node. Add "version: [3,0,0,0]" in the optitrack_config-part of the config file
  * Updates all source files with BSD license blurb.
    Also removes std_msgs has a build dependency as its not a dependency in
    the code anywhere. Cleans up package.xml to format 2, adds all authors, and
    corrects maintainer.
  * Adds 2nd body to example config file
    Also removes use_new_coordinates from the example config file. This is now calculated internally from the server version.
  * Removes console output from launch file
  * Completes refactoring. Tested with NatNet version 3.
  * Finishes a majority of the refactoring and verifies it works for NatNet version 3.0
  * Heavily refactors code to improve compatibility with NatNet SDK and improve single responsibility.
  * Debugging NatNet version 3.0..
  * Added version checking to allow for support for changes related to
    certain NatNet versions.
  * Added support for new (Motive 1.7+) and old coordinate system.
  * updated for recent natnet protocol
  * Removed un-needed code.
  * Turned down verbosity for less spam when output=screen.
  * mocap configuration file is an option to launch file.
  * Optitrack multicast address is now a parameter in the config file.
  * Fixed config parameter name in example configuration file.
    frame_id -> child_frame_id: The latter is used in mocap_config.cpp (CHILD_FRAME_ID_PARAM_NAME)
  * Removed tabs from launch file.
  * Switched to a pose stamped message.  Added parameters for parent and child frames.
  * initial2
  * initial
  * Update socket.h
    fixed a typo
  * Install the config directory as well, and add a roslaunch file check macro for the launch file to prevent a regression.
  * Updated package.xml and cleaned up CMakeLists.txt
  * Split off src portion of CMakeLists.
  * Lowercase filenames for socket, remove separate exception header, move headers into package subdirectory.
  * Tested with actual system and deleted unneeded old files.
  * Tried to convert to catkin.
  * Tried to convert to catkin.
  * Updated copyright & authors in manifest.xml.
  * Cleaned up sample configuration file.
  * Updated supported NatNet protocol and description.
  * Added missing stack dependencies.
  * Converted to a unary stack.
    Added stack.xml to make this a unary stack. Also fixed missing include
    for ROS_DEBUG.
  * Squashing for release
  * Some commenting to yaml config file
  * Fixed pose streaming for NaN values.
  * Tweaking configs
    Committer: Ryan Gariepy <mailto:rgariepy@clearpathrobotics.com>
    On branch hsi-upgrades
    Changes to be committed:
    (use "git reset HEAD <file>..." to unstage)
    modified:   mocap_optitrack/config/mocap.yaml
    modified:   mocap_optitrack/src/mocap_config.cpp
  * Fixed inversion in published TF.
  * Renamed parameters to reflect the fact that tf will always be published to the same topic.
  * Fixed loop and termination code to handle SIGINT correctly.
  * Added some headers & comments.
  * Fix conversion from OptiTrack to ROS coordinate system.
  * Check for all zeros in data. This occurs when the object is not
    being tracked by Optitrack. Zero data should not result in any
    pose/tf being published in ROS.


=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-mocap-optitrack//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-mocap-optitrack 0.1.4-1jammy.20251207.2157

=== debian/changelog ===
ros-one-mocap-optitrack (0.1.4-1jammy.20251207.2157) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tony Baltovski <tony@baltovski.ca>  Sun, 07 Dec 2025 21:57:31 +0000

## ros-one-mocap-optitrack 0.1.4-1jammy.20260221.0154

=== debian/changelog ===
ros-one-mocap-optitrack (0.1.4-1jammy.20260221.0154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tony Baltovski <tony@baltovski.ca>  Sat, 21 Feb 2026 01:54:15 +0000

## ros-one-mocap-optitrack 0.1.4-1noble.20251023.0913

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(mocap_optitrack)

find_package(catkin REQUIRED COMPONENTS 
  roscpp
  geometry_msgs
  nav_msgs
  dynamic_reconfigure
  tf)

# dynamic reconfigure
generate_dynamic_reconfigure_options(
  cfg/MocapOptitrack.cfg
)


catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS roscpp
  dynamic_reconfigure
)

include_directories(include
  ${catkin_INCLUDE_DIRS}
)

add_subdirectory(src)

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch/mocap.launch)

  find_package(roslint REQUIRED)
  file(GLOB LINT_SRCS
    src/*.cpp
    include/*.h)
  set(ROSLINT_CPP_OPTS "--filter=-runtime/string,-readability/casting,-runtime/references")
  roslint_cpp(${LINT_SRCS})
  roslint_add_test()
endif()

=== src/CMakeLists.txt ===

add_executable(${PROJECT_NAME}_mocap_node
  natnet/natnet_packet_definition.cpp
  natnet/natnet_messages.cpp
  socket.cpp
  version.cpp
  mocap_node.cpp
  mocap_config.cpp
  data_model.cpp
  rigid_body_publisher.cpp
)

target_link_libraries(${PROJECT_NAME}_mocap_node ${catkin_LIBRARIES})
set_target_properties(${PROJECT_NAME}_mocap_node PROPERTIES
                      OUTPUT_NAME mocap_node PREFIX "")

install(TARGETS 
  ${PROJECT_NAME}_mocap_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-one-mocap-optitrack (0.1.4-1noble.20251023.0913) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tony Baltovski <tony@baltovski.ca>  Thu, 23 Oct 2025 09:13:46 +0000

ros-one-mocap-optitrack (0.1.4-0noble) noble; urgency=high

  * initialize the  dynamic server in the initializer list
  * white space
  * unnecessary changes
  * fix: params namespace
  * Contributors: Jad

 -- Tony Baltovski <tony@baltovski.ca>  Tue, 18 Jan 2022 00:00:00 -0000

ros-one-mocap-optitrack (0.1.3-0noble) noble; urgency=high

  * Add sleep function to avoid the high load of while() function
  * Contributors: Moju Zhao

 -- Tony Baltovski <tony@baltovski.ca>  Tue, 18 May 2021 00:00:00 -0000

ros-one-mocap-optitrack (0.1.2-0noble) noble; urgency=high

  * Fix/infinit fast reconnect loop (#58 <https://github.com/ros-drivers/mocap_optitrack/issues/58>)
    * fix: infinit fast loop
    * fix: infinit-reconnect-loop
    * fix: lint
    * fix: styling
    Co-authored-by: jad <mailto:jad.hajmustafa@eurogroep.com>
  * Contributors: Jad Haj Mustafa

 -- Tony Baltovski <tony@baltovski.ca>  Wed, 24 Mar 2021 00:00:00 -0000

ros-one-mocap-optitrack (0.1.1-0noble) noble; urgency=high

  * Fix/coordinate system motive 2.0 (#56 <https://github.com/ros-drivers/mocap_optitrack/issues/56>)
    * fix: coordinate system for motive 2.0+
    * typo
    * fix: coordiante system for versions > motive 2.0
    Co-authored-by: jad <mailto:jad.hajmustafa@eurogroep.com>
  * Feat: add enable disable tf publisher param (#55 <https://github.com/ros-drivers/mocap_optitrack/issues/55>)
    * feat: enable tf publisher param
    * fix: default value of enable_tf_publisher
    * feat: add-enable-disable param for tf publisher
    * feat: add tf topic to enable/disable tf publisher
    * remove unnecessary changes
    * fix: lint
    Co-authored-by: jad <mailto:jad.hajmustafa@eurogroep.com>
  * Added Noetic to CI.
  * Contributors: Tony Baltovski, jadhm

 -- Tony Baltovski <tony@baltovski.ca>  Mon, 08 Mar 2021 00:00:00 -0000

ros-one-mocap-optitrack (0.1.0-0noble) noble; urgency=high

  * Reset package version.
  * Bumped CMake version to avoid author warning.
  * Added nav_msgs as dep.
  * Added industrial_ci.
  * Applied roslint fixes.
  * Made roslaunch test_depend and added roslint.
  * fix: spacing
  * chore: support new motive versions for odom publisher
  * fix: coordinatesVersion as const reference
  * fix: system coordinates with new motive versions
  * feat: dynamic reconfigure server parameters and enable optitrack parameter
  * feat: add odom topic publisher
  * Natnet and server version can now be set in config file
    Added a way to set both natnet and server version from yaml file, so you don't have to restart the broadcast each time you launch the mocap node. Add "version: [3,0,0,0]" in the optitrack_config-part of the config file
  * Updates all source files with BSD license blurb.
    Also removes std_msgs has a build dependency as its not a dependency in
    the code anywhere. Cleans up package.xml to format 2, adds all authors, and
    corrects maintainer.
  * Adds 2nd body to example config file
    Also removes use_new_coordinates from the example config file. This is now calculated internally from the server version.
  * Removes console output from launch file
  * Completes refactoring. Tested with NatNet version 3.
  * Finishes a majority of the refactoring and verifies it works for NatNet version 3.0
  * Heavily refactors code to improve compatibility with NatNet SDK and improve single responsibility.
  * Debugging NatNet version 3.0..
  * Added version checking to allow for support for changes related to
    certain NatNet versions.
  * Added support for new (Motive 1.7+) and old coordinate system.
  * updated for recent natnet protocol
  * Removed un-needed code.
  * Turned down verbosity for less spam when output=screen.
  * mocap configuration file is an option to launch file.
  * Optitrack multicast address is now a parameter in the config file.
  * Fixed config parameter name in example configuration file.
    frame_id -> child_frame_id: The latter is used in mocap_config.cpp (CHILD_FRAME_ID_PARAM_NAME)
  * Removed tabs from launch file.
  * Switched to a pose stamped message.  Added parameters for parent and child frames.
  * initial2
  * initial
  * Update socket.h
    fixed a typo
  * Install the config directory as well, and add a roslaunch file check macro for the launch file to prevent a regression.
  * Updated package.xml and cleaned up CMakeLists.txt
  * Split off src portion of CMakeLists.
  * Lowercase filenames for socket, remove separate exception header, move headers into package subdirectory.
  * Tested with actual system and deleted unneeded old files.
  * Tried to convert to catkin.
  * Tried to convert to catkin.
  * Updated copyright & authors in manifest.xml.
  * Cleaned up sample configuration file.
  * Updated supported NatNet protocol and description.
  * Added missing stack dependencies.
  * Converted to a unary stack.
    Added stack.xml to make this a unary stack. Also fixed missing include
    for ROS_DEBUG.
  * Squashing for release
  * Some commenting to yaml config file
  * Fixed pose streaming for NaN values.
  * Tweaking configs
    Committer: Ryan Gariepy <mailto:rgariepy@clearpathrobotics.com>
    On branch hsi-upgrades
    Changes to be committed:
    (use "git reset HEAD <file>..." to unstage)
    modified:   mocap_optitrack/config/mocap.yaml
    modified:   mocap_optitrack/src/mocap_config.cpp
  * Fixed inversion in published TF.
  * Renamed parameters to reflect the fact that tf will always be published to the same topic.
  * Fixed loop and termination code to handle SIGINT correctly.
  * Added some headers & comments.
  * Fix conversion from OptiTrack to ROS coordinate system.
  * Check for all zeros in data. This occurs when the object is not
    being tracked by Optitrack. Zero data should not result in any
    pose/tf being published in ROS.


=== debian/control ===
Source: ros-one-mocap-optitrack
Section: misc
Priority: optional
Maintainer: Tony Baltovski <tony@baltovski.ca>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-tf
Homepage: http://ros.org/wiki/mocap_optitrack
Standards-Version: 3.9.2

Package: ros-one-mocap-optitrack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-tf
Description: Streaming of OptiTrack mocap data to tf This package contains a node that translates motion capture data from an OptiTrack rig to tf transforms, poses and 2D poses.
 The node receives packets that are streamed by a NatNet compliant source, decodes them and broadcasts the poses of configured rigid bodies as tf transforms, poses, and/or 2D poses. Currently, this node supports the NatNet streaming protocol v3.0 Copyright (c) 2013, Clearpath Robotics Copyright (c) 2010, University of Bonn, Computer Science Institute VI All rights reserved.

## ros-one-mocap-optitrack 0.1.4-1noble.20251208.0855

=== debian/changelog ===
ros-one-mocap-optitrack (0.1.4-1noble.20251208.0855) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tony Baltovski <tony@baltovski.ca>  Mon, 08 Dec 2025 08:55:57 +0000

## ros-one-mocap-optitrack 0.1.4-1noble.20260221.2125

=== debian/changelog ===
ros-one-mocap-optitrack (0.1.4-1noble.20260221.2125) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tony Baltovski <tony@baltovski.ca>  Sat, 21 Feb 2026 21:25:02 +0000
